package com.ruoyi.system.domain.publicservice;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 公共服务 我发现表
 *
 * @author wangjie<$ { email }>
 */
public class TPublicServiceDiscuss implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 新闻ID
     */
    private Long discussId;

    /**
     * 姓名
     */
    private String discussName;

    /**
     * 联系方式
     */
    private String discussPhone;

    /**
     * 编号
     */
    private String discussCode;

    /**
     * 所属区域
     */
    private String belongArea;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 事件描述
     */
    private String discussDesc;

    /**
     * 采纳结果 0未审核、1已采纳、2未采纳、3处理中、4已完结
     */
    private String discussResult;

    /**
     * 是否转工单 0未转 1转工单
     */
    private String genTask;

    /**
     * 是否匿名 0不匿名 1匿名
     */
    private String checkAnonymous;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    private Date updateTime;


    /**
     * 是否有效1 有效 0 无效
     */
    private Integer valid;

    /**
     * 工单id
     */
    private String projectId;

    /**
     * 工单名称
     */
    private String projectName;

    /**
     * 工单处理意见
     */
    private String projectAdvise;

    /**
     * 工单状态
     */
    private String projectStatus;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    //扩展
    private List<TOtherappAttachment> attachmentList;

    private String belongYear;

    public List<TOtherappAttachment> getAttachmentList() {
        return attachmentList;
    }

    public void setAttachmentList(List<TOtherappAttachment> attachmentList) {
        this.attachmentList = attachmentList;
    }

    public String getBelongYear() {
        return belongYear;
    }

    public void setBelongYear(String belongYear) {
        this.belongYear = belongYear;
    }

    public TPublicServiceDiscuss() {
        super();
    }

    /**
     * setter for discussId
     *
     * @param discussId
     */
    public void setDiscussId(Long discussId) {
        this.discussId = discussId;
    }

    /**
     * getter for discussId
     */
    public Long getDiscussId() {
        return discussId;
    }

    /**
     * setter for discussName
     *
     * @param discussName
     */
    public void setDiscussName(String discussName) {
        this.discussName = discussName;
    }

    /**
     * getter for discussName
     */
    public String getDiscussName() {
        return discussName;
    }

    /**
     * setter for discussPhone
     *
     * @param discussPhone
     */
    public void setDiscussPhone(String discussPhone) {
        this.discussPhone = discussPhone;
    }

    /**
     * getter for discussPhone
     */
    public String getDiscussPhone() {
        return discussPhone;
    }

    /**
     * setter for discussCode
     *
     * @param discussCode
     */
    public void setDiscussCode(String discussCode) {
        this.discussCode = discussCode;
    }

    /**
     * getter for discussCode
     */
    public String getDiscussCode() {
        return discussCode;
    }

    /**
     * setter for belongArea
     *
     * @param belongArea
     */
    public void setBelongArea(String belongArea) {
        this.belongArea = belongArea;
    }

    /**
     * getter for belongArea
     */
    public String getBelongArea() {
        return belongArea;
    }

    /**
     * setter for address
     *
     * @param address
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * getter for address
     */
    public String getAddress() {
        return address;
    }

    /**
     * setter for discussDesc
     *
     * @param discussDesc
     */
    public void setDiscussDesc(String discussDesc) {
        this.discussDesc = discussDesc;
    }

    /**
     * getter for discussDesc
     */
    public String getDiscussDesc() {
        return discussDesc;
    }

    /**
     * setter for discussResult
     *
     * @param discussResult
     */
    public void setDiscussResult(String discussResult) {
        this.discussResult = discussResult;
    }

    /**
     * getter for discussResult
     */
    public String getDiscussResult() {
        return discussResult;
    }

    /**
     * setter for genTask
     *
     * @param genTask
     */
    public void setGenTask(String genTask) {
        this.genTask = genTask;
    }

    /**
     * getter for genTask
     */
    public String getGenTask() {
        return genTask;
    }

    /**
     * setter for checkAnonymous
     *
     * @param checkAnonymous
     */
    public void setCheckAnonymous(String checkAnonymous) {
        this.checkAnonymous = checkAnonymous;
    }

    /**
     * getter for checkAnonymous
     */
    public String getCheckAnonymous() {
        return checkAnonymous;
    }

    /**
     * setter for createBy
     *
     * @param createBy
     */
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    /**
     * getter for createBy
     */
    public String getCreateBy() {
        return createBy;
    }

    /**
     * setter for createTime
     *
     * @param createTime
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * getter for createTime
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * setter for updateBy
     *
     * @param updateBy
     */
    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    /**
     * getter for updateBy
     */
    public String getUpdateBy() {
        return updateBy;
    }

    /**
     * setter for updateTime
     *
     * @param updateTime
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * getter for updateTime
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * setter for valid
     *
     * @param valid
     */
    public void setValid(Integer valid) {
        this.valid = valid;
    }

    /**
     * getter for valid
     */
    public Integer getValid() {
        return valid;
    }

    /**
     * setter for projectId
     *
     * @param projectId
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    /**
     * getter for projectId
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * setter for projectName
     *
     * @param projectName
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    /**
     * getter for projectName
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * setter for projectAdvise
     *
     * @param projectAdvise
     */
    public void setProjectAdvise(String projectAdvise) {
        this.projectAdvise = projectAdvise;
    }

    /**
     * getter for projectAdvise
     */
    public String getProjectAdvise() {
        return projectAdvise;
    }

    /**
     * setter for projectStatus
     *
     * @param projectStatus
     */
    public void setProjectStatus(String projectStatus) {
        this.projectStatus = projectStatus;
    }

    /**
     * getter for projectStatus
     */
    public String getProjectStatus() {
        return projectStatus;
    }

    /**
     * setter for longitude
     *
     * @param longitude
     */
    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    /**
     * getter for longitude
     */
    public String getLongitude() {
        return longitude;
    }

    /**
     * setter for latitude
     *
     * @param latitude
     */
    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    /**
     * getter for latitude
     */
    public String getLatitude() {
        return latitude;
    }

}
